--- ZenLib-0.4.40/Project/GNU/Library/Makefile.am.orig	2022-12-31 23:08:15.717875720 +0000
+++ ZenLib-0.4.40/Project/GNU/Library/Makefile.am	2022-12-31 23:14:54.843567788 +0000
@@ -2,81 +2,81 @@
 
 lib_LTLIBRARIES = libzen.la
 libzen_la_SOURCES = \
-                       ../../../Source/ZenLib/Conf.cpp \
-                       ../../../Source/ZenLib/CriticalSection.cpp \
-                       ../../../Source/ZenLib/Dir.cpp \
-                       ../../../Source/ZenLib/File.cpp \
-                       ../../../Source/ZenLib/FileName.cpp \
-                       ../../../Source/ZenLib/InfoMap.cpp \
-                       ../../../Source/ZenLib/int128s.cpp \
-                       ../../../Source/ZenLib/int128u.cpp \
-                       ../../../Source/ZenLib/MemoryDebug.cpp \
-                       ../../../Source/ZenLib/OS_Utils.cpp \
-                       ../../../Source/ZenLib/Translation.cpp \
-                       ../../../Source/ZenLib/Thread.cpp \
-                       ../../../Source/ZenLib/Utils.cpp \
-                       ../../../Source/ZenLib/Ztring.cpp \
-                       ../../../Source/ZenLib/ZtringList.cpp \
-                       ../../../Source/ZenLib/ZtringListList.cpp \
-                       ../../../Source/ZenLib/ZtringListListF.cpp \
-                       ../../../Source/ZenLib/Format/Html/Html_Handler.cpp \
-                       ../../../Source/ZenLib/Format/Html/Html_Request.cpp \
-                       ../../../Source/ZenLib/Format/Http/Http_Cookies.cpp \
-                       ../../../Source/ZenLib/Format/Http/Http_Handler.cpp \
-                       ../../../Source/ZenLib/Format/Http/Http_Request.cpp \
-                       ../../../Source/ZenLib/Format/Http/Http_Utils.cpp
+                       $(VPATH)/../../../Source/ZenLib/Conf.cpp \
+                       $(VPATH)/../../../Source/ZenLib/CriticalSection.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Dir.cpp \
+                       $(VPATH)/../../../Source/ZenLib/File.cpp \
+                       $(VPATH)/../../../Source/ZenLib/FileName.cpp \
+                       $(VPATH)/../../../Source/ZenLib/InfoMap.cpp \
+                       $(VPATH)/../../../Source/ZenLib/int128s.cpp \
+                       $(VPATH)/../../../Source/ZenLib/int128u.cpp \
+                       $(VPATH)/../../../Source/ZenLib/MemoryDebug.cpp \
+                       $(VPATH)/../../../Source/ZenLib/OS_Utils.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Translation.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Thread.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Utils.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Ztring.cpp \
+                       $(VPATH)/../../../Source/ZenLib/ZtringList.cpp \
+                       $(VPATH)/../../../Source/ZenLib/ZtringListList.cpp \
+                       $(VPATH)/../../../Source/ZenLib/ZtringListListF.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Html/Html_Handler.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Html/Html_Request.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Cookies.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Handler.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Request.cpp \
+                       $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Utils.cpp
 
 libzen_la_LDFLAGS     = -no-undefined -version-info 0:0:0
 
 zenincludedir = $(includedir)/ZenLib
 zeninclude_HEADERS = \
- ../../../Source/ZenLib/BitStream.h \
- ../../../Source/ZenLib/BitStream_Fast.h \
- ../../../Source/ZenLib/BitStream_LE.h \
- ../../../Source/ZenLib/Conf.h \
- ../../../Source/ZenLib/Conf_Internal.h \
- ../../../Source/ZenLib/CriticalSection.h \
- ../../../Source/ZenLib/Dir.h \
- ../../../Source/ZenLib/File.h \
- ../../../Source/ZenLib/FileName.h \
- ../../../Source/ZenLib/HTTP_Client.h \
- ../../../Source/ZenLib/InfoMap.h \
- ../../../Source/ZenLib/int128s.h \
- ../../../Source/ZenLib/int128u.h \
- ../../../Source/ZenLib/MemoryDebug.h \
- ../../../Source/ZenLib/OS_Utils.h \
- ../../../Source/ZenLib/PreComp.h \
- ../../../Source/ZenLib/Thread.h \
- ../../../Source/ZenLib/Trace.h \
- ../../../Source/ZenLib/Translation.h \
- ../../../Source/ZenLib/Utils.h \
- ../../../Source/ZenLib/Ztring.h \
- ../../../Source/ZenLib/ZtringList.h \
- ../../../Source/ZenLib/ZtringListListF.h \
- ../../../Source/ZenLib/ZtringListList.h
+ $(VPATH)/../../../Source/ZenLib/BitStream.h \
+ $(VPATH)/../../../Source/ZenLib/BitStream_Fast.h \
+ $(VPATH)/../../../Source/ZenLib/BitStream_LE.h \
+ $(VPATH)/../../../Source/ZenLib/Conf.h \
+ $(VPATH)/../../../Source/ZenLib/Conf_Internal.h \
+ $(VPATH)/../../../Source/ZenLib/CriticalSection.h \
+ $(VPATH)/../../../Source/ZenLib/Dir.h \
+ $(VPATH)/../../../Source/ZenLib/File.h \
+ $(VPATH)/../../../Source/ZenLib/FileName.h \
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client.h \
+ $(VPATH)/../../../Source/ZenLib/InfoMap.h \
+ $(VPATH)/../../../Source/ZenLib/int128s.h \
+ $(VPATH)/../../../Source/ZenLib/int128u.h \
+ $(VPATH)/../../../Source/ZenLib/MemoryDebug.h \
+ $(VPATH)/../../../Source/ZenLib/OS_Utils.h \
+ $(VPATH)/../../../Source/ZenLib/PreComp.h \
+ $(VPATH)/../../../Source/ZenLib/Thread.h \
+ $(VPATH)/../../../Source/ZenLib/Trace.h \
+ $(VPATH)/../../../Source/ZenLib/Translation.h \
+ $(VPATH)/../../../Source/ZenLib/Utils.h \
+ $(VPATH)/../../../Source/ZenLib/Ztring.h \
+ $(VPATH)/../../../Source/ZenLib/ZtringList.h \
+ $(VPATH)/../../../Source/ZenLib/ZtringListListF.h \
+ $(VPATH)/../../../Source/ZenLib/ZtringListList.h
 
 zen_httpclientdir = $(zenincludedir)/HTTP_Client
 zen_httpclient_HEADERS = \
- ../../../Source/ZenLib/HTTP_Client/HTTPClient.h \
- ../../../Source/ZenLib/HTTP_Client/HTTPClientCommon.h \
- ../../../Source/ZenLib/HTTP_Client/HTTPClientString.h \
- ../../../Source/ZenLib/HTTP_Client/HTTPClientAuth.h \
- ../../../Source/ZenLib/HTTP_Client/HTTPClientWrapper.h
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client/HTTPClient.h \
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client/HTTPClientCommon.h \
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client/HTTPClientString.h \
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client/HTTPClientAuth.h \
+ $(VPATH)/../../../Source/ZenLib/HTTP_Client/HTTPClientWrapper.h
 
 zen_format_htmldir = $(zenincludedir)/Format/Html
 zen_format_html_HEADERS = \
- ../../../Source/ZenLib/Format/Html/Html_Handler.h \
- ../../../Source/ZenLib/Format/Html/Html_Request.h
+ $(VPATH)/../../../Source/ZenLib/Format/Html/Html_Handler.h \
+ $(VPATH)/../../../Source/ZenLib/Format/Html/Html_Request.h
 
 zen_format_httpdir = $(zenincludedir)/Format/Http
 zen_format_http_HEADERS = \
- ../../../Source/ZenLib/Format/Http/Http_Utils.h \
- ../../../Source/ZenLib/Format/Http/Http_Request.h \
- ../../../Source/ZenLib/Format/Http/Http_Handler.h \
- ../../../Source/ZenLib/Format/Http/Http_Cookies.h
+ $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Utils.h \
+ $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Request.h \
+ $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Handler.h \
+ $(VPATH)/../../../Source/ZenLib/Format/Http/Http_Cookies.h
 
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libzen.pc
 
 AM_CXXFLAGS = -std=c++11
-AM_CPPFLAGS = -I../../../Source
+AM_CPPFLAGS = -I$(VPATH)/../../../Source
